Bug 36524 - univention-spamassassin postrm always sets mail/antivir/spam=no -> spam check deactivated after the update
univention-spamassassin postrm always sets mail/antivir/spam=no -> spam check...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Spamassassin
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Felix Botner
Janek Walkenhorst
: interim-4
Depends on:
Blocks: 37019
  Show dependency treegraph
 
Reported: 2014-11-07 16:08 CET by Felix Botner
Modified: 2014-11-26 07:13 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Botner univentionstaff 2014-11-07 16:08:34 CET
Postrm should only unset mail/antivir/spam (or ?)  if  "$1" = "remove".

Also, we need to mail/antivir/spam=yes during update to UCS 4.0 (this is better than a mistakenly mail/antivir/spam=no because of the update)
Comment 1 Felix Botner univentionstaff 2014-11-07 16:32:41 CET
Changed postrm (unset mail/antivir/spam and only if package is removed) and set mail/antivir/spam=yes during this update.

Replaced postfix restart with amavis restart (only amavis checks mail/antivir/spam).

Added Changelog entry.
Comment 2 Janek Walkenhorst univentionstaff 2014-11-11 12:19:44 CET
Changelog: OK
Code: OK
UCRV ist correctly set and unset.
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:26 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".